import request from '@/utils/request'
//增加工序档案
export function addWorkProcess(data) {
  return request({
    url: '/product/addWorkProcess',
    method: 'post',
    params: data
  })
}

//获取工序档案列表
export function getWorkProcessList(data) {
  return request({
    url: '/product/getWorkProcessList',
    method: 'post',
    params: data
  })
}

//获取工序档案
export function getWorkProcess(data) {
  return request({
    url: '/product/getWorkProcessDetail',
    method: 'post',
    params: data
  })
}


//修改工序档案
export function updateWorkProcess(data) {
  return request({
    url: '/product/updateWorkProcess',
    method: 'post',
    params: data
  })
}

//获取工序档案列表(筛选后)
export function getWorkProcessListByIds(data) {
  return request({
    url: '/product/getWorkProcessListByIds',
    method: 'post',
    params: data
  })
}

